steps:
  build_and_release:
    image: woodpeckerci/plugin-kaniko:1.0.0
    pull: true
    settings:
      registry: https://git.sandbox.iuk.hdm-stuttgart.de
      repo: git.sandbox.iuk.hdm-stuttgart.de/grosse/jupyterhub
      tags: 
        - 2.0.0
      dockerfile: Dockerfile
      username:
        from_secret: docker_username
      password:
        from_secret: docker_password
